Package net.sf.saxon.functions

## Class DynamicContextAccessor.CurrentDateTime

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.DynamicContextAccessor
      - - net.sf.saxon.functions.DynamicContextAccessor.CurrentDateTime

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`
  Enclosing class:
    DynamicContextAccessor

      public static class DynamicContextAccessor.CurrentDateTime
      extends DynamicContextAccessor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.DynamicContextAccessor

      `DynamicContextAccessor.CurrentDate, DynamicContextAccessor.CurrentDateTime, DynamicContextAccessor.CurrentTime, DynamicContextAccessor.DefaultLanguage, DynamicContextAccessor.ImplicitTimezone`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CurrentDateTime()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AtomicValue` | `evaluate​(XPathContext context)` |

    - ### Methods inherited from class net.sf.saxon.functions.DynamicContextAccessor

      `bindContext, call, makeFunctionCall`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getCompilerName, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, getStreamerName, importAttributes, isTrustedResultType, makeCall, makeFunction, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### CurrentDateTime

          public CurrentDateTime()

  - ### Method Detail

    - #### evaluate

          public AtomicValue evaluate​(XPathContext context)
                               throws XPathException

      Specified by:
        `evaluate` in class `DynamicContextAccessor`
      Throws:
        `XPathException`